<template>
  <div class="wrapper">
    <div class="button-group">
      <router-link tag="div" class="button-group-close" to="/">{{$t('lang.filter.close')}}</router-link>
      <div class="button-group-reset" @click="resetAllAction">{{$t('lang.filter.reset-mobile')}}</div>
    </div>
    <options />
    <airlines />
  </div>
</template>

<script>
import { mapActions } from "vuex";
import Options from "@/components/filter/components/Options";
import Airlines from "@/components/filter/components/Airlines";
export default {
  components: {
    Options,
    Airlines
  },
  mounted() {
    this.getAirlines();
  },
  methods: {
    ...mapActions(["resetAllAction", "getAirlines"])
  }
};
</script>

<style lang="scss" scoped>
.options {
  width: 100%;
  margin: 0;
  background: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid lightgray;
}
.airlines {
  width: 100%;
  margin: 0;
  background: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
}
.button-group {
  display: flex;
  flex-direction: row;
  text-align: center;
  border-bottom: 1px solid lightgray;
  &-close {
    flex: 0.5;
    padding: 10px 0;
    &:hover {
      background: lightgray;
      transition: background-color 0.1s ease-in;
    }
  }
  &-reset {
    flex: 0.5;
    border-left: 1px solid lightgray;
    padding: 10px 0;
    &:hover {
      background: lightgray;
      transition: background-color 0.1s ease-in;
    }
  }
}
</style>